%global	short_name	eGTK
%global	full_name	elementary GTK

Name:		egtk
Version:	3.4
Release:	3%{?dist}
Summary:	The %{short_name} (%{full_name}) themes for GTK+2, GTK+3, Metacity and Xfwm4

License:	GPLv3+
URL:		https://launchpad.net/%{name}
Source0:	%{url}/3.x/%{version}/+download/elementary.tar.gz#/%{name}-%{version}.tar.gz
# with v3.2+ upstream does not provide any xfwm4 files
Source1:        %{url}/3.x/3.1/+download/elementary.tar.gz#/%{name}-3.1.tar.gz

BuildArch:	noarch	

%description
The official %{full_name} theme designed to be smooth, attractive, fast, and 
usable.


%package common
Summary:	Files common to %{short_name} themes
Group:		User Interface/Desktops

%description common
Files which are common to all %{short_name} (%full_name) themes.


%package gtk2-theme
Summary:	The %{short_name} theme for GTK+2
Group:		User Interface/Desktops
Requires:	%{name}-common = %{version}-%{release}, gtk-murrine-engine

%description gtk2-theme
Theme for GTK+2 as part of the %{short_name} (%full_name) theme.


%package gtk3-theme
Summary:	The %{short_name} theme for GTK+3
Group:		User Interface/Desktops
Requires:	%{name}-common = %{version}-%{release}, gtk-unico-engine

%description gtk3-theme
Theme for GTK+3 as part of the %{short_name} (%full_name) theme.


%package metacity-theme
Summary:	The %{short_name} theme for Metacity
Group:		User Interface/Desktops
Requires:	%{name}-common = %{version}-%{release}, metacity

%description metacity-theme
Theme for Metacity as part of the %{short_name} (%full_name) theme.


%package xfwm4-theme
Summary:	The %{short_name} theme for Xfwm4
Group:		User Interface/Desktops
Requires:	%{name}-common = %{version}-%{release}, xfwm4

%description xfwm4-theme
Theme for Xfwm4 as part of the %{short_name} (%full_name) theme.


%prep
%setup -q -c
# Remove backup files
find . -name '*~' -type f -exec rm -f '{}' \;
# Remove Bazaar-related files
rm -rf .bzr
# Remove "index.theme"
rm -f index.theme
# patch xfwm4 files
mkdir legacy
tar -C legacy -xf %{SOURCE1}


%build
# Nothing to build


%install
for dir in gtk-2.0 gtk-3.0 metacity-1
do
	mkdir -p -m755 %{buildroot}%{_datadir}/themes/%{short_name}/$dir
	cp -pr ./*/$dir/* %{buildroot}%{_datadir}/themes/%{short_name}/$dir
done
# legacy stuff
mkdir -p -m755 %{buildroot}%{_datadir}/themes/%{short_name}/xfwm4
cp -pr legacy/*/xfwm4/* %{buildroot}%{_datadir}/themes/%{short_name}/xfwm4


%files common
%doc ./*/AUTHORS ./*/CONTRIBUTORS ./*/COPYING
%dir %{_datadir}/themes/%{short_name}/


%files gtk2-theme
%dir %{_datadir}/themes/%{short_name}/gtk-2.0/
%{_datadir}/themes/%{short_name}/gtk-2.0/*


%files gtk3-theme
%dir %{_datadir}/themes/%{short_name}/gtk-3.0/
%{_datadir}/themes/%{short_name}/gtk-3.0/*


%files metacity-theme
%dir %{_datadir}/themes/%{short_name}/metacity-1/
%{_datadir}/themes/%{short_name}/metacity-1/*


%files xfwm4-theme
%dir %{_datadir}/themes/%{short_name}/xfwm4/
%{_datadir}/themes/%{short_name}/xfwm4/*


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Mar 31 2015 Raphael Groner <projects.rg@smart.ms> - 3.4-2
- v3.4 with the new tarball
- remove deprecated Group: tag
- upstream switched to GPLv3+
- keep legacy xfwm4 theme from v3.1

* Tue Mar 31 2015 Raphael Groner <projects.rg@smart.ms> - 3.4-1
- v3.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 26 2012 Mattia Meneguzzo <odysseus@fedoraproject.org> - 3.1-1
- Initial package for Fedora
